[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.GetControlBounds

Returns the zone bounds of a docked control.

## Declaration

Source position: controls.pp line 508

`public procedure TDockManager.GetControlBounds(`
`Control: TControl;`
`out AControlBounds: TRect`
`); virtual; abstract;`

## Description

The TDockTree manager returns the bounds of the dockzone, including the dock header.

When the control is not docked, an empty Rect(0,0,0,0) is returned.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.